Update
curl --request PUT \
--url https://api.integrations.commenda.io/v4/core/webhook-credential/{webhookCredentialId} \
--header 'Content-Type: application/json' \
--header 'api_key: <api-key>' \
--data '
{
"signing_secret": "your-signing-secret",
"verification_mode": "HEADER"
}
'import requests
url = "https://api.integrations.commenda.io/v4/core/webhook-credential/{webhookCredentialId}"
payload = {
"signing_secret": "your-signing-secret",
"verification_mode": "HEADER"
}
headers = {
"api_key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {api_key: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({signing_secret: 'your-signing-secret', verification_mode: 'HEADER'})
};
fetch('https://api.integrations.commenda.io/v4/core/webhook-credential/{webhookCredentialId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"rootfi_id": 123,
"rootfi_created_at": "<string>",
"rootfi_updated_at": "<string>",
"rootfi_organisation_id": 123,
"rootfi_company_id": {},
"verification_token": {},
"signing_secret_masked": {}
}
}WebhookCredential
Update
PUT
/
v4
/
core
/
webhook-credential
/
{webhookCredentialId}
Update
Authorizations
Your Commenda Integrations API key, sent in the api_key header.
Path Parameters
Body
application/json
Response
200 - application/json
Show child attributes
Show child attributes
⌘I